org.icefaces.ace.component.fileentry

## Class ProgressResource

- java.lang.Object
- - javax.faces.application.Resource
  - - org.icefaces.ace.component.fileentry.ProgressResource

- All Implemented Interfaces:
    java.io.Serializable

      public class ProgressResource
      extends javax.faces.application.Resource
      implements java.io.Serializable

  The fileEntry progress information is accessed via a dynamic resource
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class javax.faces.application.Resource

      `COMPONENT_RESOURCE_KEY`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.io.InputStream` | `getInputStream()`
    `java.lang.String` | `getRequestPath()`
    `java.util.Map<java.lang.String,java.lang.String>` | `getResponseHeaders()`
    `java.net.URL` | `getURL()`
    `boolean` | `userAgentNeedsUpdate(javax.faces.context.FacesContext facesContext)`

    - ### Methods inherited from class javax.faces.application.Resource

      `getContentType, getLibraryName, getResourceName, setContentType, setLibraryName, setResourceName, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getResponseHeaders

          public java.util.Map<java.lang.String,java.lang.String> getResponseHeaders()

      Specified by:
        `getResponseHeaders` in class `javax.faces.application.Resource`

    - #### getRequestPath

          public java.lang.String getRequestPath()

      Specified by:
        `getRequestPath` in class `javax.faces.application.Resource`

    - #### getURL

          public java.net.URL getURL()

      Specified by:
        `getURL` in class `javax.faces.application.Resource`

    - #### userAgentNeedsUpdate

          public boolean userAgentNeedsUpdate(javax.faces.context.FacesContext facesContext)

      Specified by:
        `userAgentNeedsUpdate` in class `javax.faces.application.Resource`

    - #### getInputStream

          public java.io.InputStream getInputStream()

      Specified by:
        `getInputStream` in class `javax.faces.application.Resource`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.